#
# template.R, 23 Feb 17
# Data from:
# http://mattwarren.org/2017/11/08/A-DoS-Attack-against-the-C-Compiler/
#
# Example from:
# Empirical Software Engineering using R
# Derek M. Jones

source("ESEUR_config.r")


pal_col=rainbow(2)

plot_wide()

csh=read.csv(paste0(ESEUR_dir, "t/csh.csv"), as.is=TRUE)
csh$ll_CT=log(log(csh$Compile_Time))
csh$ll_BS=log(log(csh$Binary_Size))

plot(csh$Level, csh$ll_CT, col=pal_col[1],
	xlab="Duplicate types", ylab="log(log(Compile Time))",)
c_mod=glm(ll_CT ~ Level, data=csh)
pred=predict(c_mod)
lines(csh$Level, pred, col=pal_col[2])

summary(c_mod)

b_mod=glm(ll_BS ~ Level, data=csh)
summary(b_mod)

